Bug 446303 - Review Request: perl-Text-Smart-Plugin - Template Toolkit plugin for Text::Smart
Review Request: perl-Text-Smart-Plugin - Template Toolkit plugin for Text::Smart
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: David Lutterkort
Fedora Extras Quality Assurance
:
Depends On: 446299
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-13 19:50 EDT by Alan Pevec
Modified: 2013-04-30 19:40 EDT (History)
3 users (show)

See Also:
Fixed In Version: 1.0.1-2.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 07:00:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lutter: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Alan Pevec 2008-05-13 19:50:30 EDT
Spec URL: http://apevec.fedorapeople.org/perl-Text-Smart-Plugin.spec
SRPM URL: http://apevec.fedorapeople.org/perl-Text-Smart-Plugin-1.0.1-1.fc8.src.rpm
Description: This module provides a plugin for the Template-Toolkit to enable the use of 'smart text', whose syntax is defined by the Text::Smart module.
Comment 1 Alan Pevec 2008-05-13 19:55:04 EDT
rpmlint has no output
Comment 2 David Lutterkort 2008-05-13 21:04:27 EDT
Review

* General

  OK - Package name
  OK - License info is accurate
  OK - License tag is correct and licenses are approved
  OK - License files are installed as %doc
  OK - Specfile name
  OK - Specfile is legible
  OK - No prebuilt binaries included
  OK - BuildRoot value (one of the recommended values)
  OK - PreReq not used
  OK - Source md5sum matches upstream
  OK - No hardcoded pathnames
  OK - Package owns all the files it installs
  OK - 'Requires' create needed unowned directories
  OK - Package builds successfully on i386 and x86_64 (mock)
  OK - BuildRequires sufficient
  OK - File permissions set properly
  OK - Macro usage is consistent
  OK - rpmlint is silent

* Perl guidelines

  OK - Provide package name (generated)
  OK - Versioned MODULE_COMPAT_ requires
  OK - CPAN URL not versioned
Comment 3 David Lutterkort 2008-05-13 21:04:45 EDT
APPROVED

Please follow http://fedoraproject.org/wiki/CVSAdminProcedure and import
the package. Close this bug as RAWHIDE once it's been successfully imported
and built.
Comment 4 Alan Pevec 2008-05-14 06:23:50 EDT
New Package CVS Request
=======================
Package Name: perl-Text-Smart-Plugin
Short Description: Template Toolkit plugin for Text::Smart
Owners: apevec, berrange
Branches: F-8 F-9
InitialCC: 
Cvsextras Commits: yes
Comment 5 Kevin Fenzi 2008-05-14 11:48:34 EDT
cvs done.
Comment 7 Fedora Update System 2008-05-21 07:00:19 EDT
perl-Text-Smart-Plugin-1.0.1-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2008-05-21 07:05:55 EDT
perl-Text-Smart-Plugin-1.0.1-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.